org.apache.fop.render.afp

## Enum AFPRendererConfig.ImagesModeOptions

- java.lang.Object
- - java.lang.Enum<AFPRendererConfig.ImagesModeOptions>
  - - org.apache.fop.render.afp.AFPRendererConfig.ImagesModeOptions

- All Implemented Interfaces:
    Serializable, Comparable<AFPRendererConfig.ImagesModeOptions>
  Enclosing class:
    AFPRendererConfig

      public static enum AFPRendererConfig.ImagesModeOptions
      extends Enum<AFPRendererConfig.ImagesModeOptions>

  An enumeration for the various images modes available to the AFP renderer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MODE_COLOR`
    `MODE_GRAYSCALE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AFPRendererConfig.ImagesModeOptions` | `forName(String name)`
    `String` | `getModeAttribute()`
    `String` | `getName()`
    `static AFPRendererConfig.ImagesModeOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AFPRendererConfig.ImagesModeOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MODE_GRAYSCALE

          public static final AFPRendererConfig.ImagesModeOptions MODE_GRAYSCALE

    - #### MODE_COLOR

          public static final AFPRendererConfig.ImagesModeOptions MODE_COLOR

  - ### Method Detail

    - #### values

          public static AFPRendererConfig.ImagesModeOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AFPRendererConfig.ImagesModeOptions c : AFPRendererConfig.ImagesModeOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AFPRendererConfig.ImagesModeOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getModeAttribute

          public String getModeAttribute()

    - #### forName

          public static AFPRendererConfig.ImagesModeOptions forName(String name)

Copyright © 2023 Apache Software Foundation. All rights reserved.